Issue #29 new

Debian: python2 does not exist

michael b
repo owner created an issue

http://www.reddit.com/r/linux_gaming/comments/19y009/hi_linux_gamers_i_made_a_utility_to_improve/c93evn4

After trying to run a game by adding it and execute it via gui, i get: python fsgamer /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py:391: Warning: gobject_set_property: construct property "type" for object Window' can't be set after construction Gtk.Window.init(self, type=type, kwds) /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py:391: Warning: g_object_set_property: construct property "type" for objectFsgamerWindow' can't be set after construction Gtk.Window.init(self, type=type, kwds) /usr/lib/python2.7/dist-packages/gi/overrides/Gtk.py:391: Warning: g_object_set_property: construct property "type" for object `ChooseDialog' can't be set after construction Gtk.Window.init_(self, type=type, **kwds) Warning: FSGamer was not able to detect any applications installed! Warning: FSGamer was not able to detect any applications installed! /usr/bin/env: python2: No existe el fichero o el directorio Last line is in Spanish, which means "file or folder does not exist" That's because i don't run Ubuntu, i guess :-/ Cheers.

REASON:

Some distrobutions have python be Python 3.3 (such as Arch linux), and so you have to use python2 for python 2.7 (which FSGamer is written in), and so to be precise I have python2 specified, which, under both Ubuntu and Arch based distros, means Python 2.7. It seems that Debian does not have an extra symlink for Python2.

Anyway, a way to fix this for distros that do not have python2, is run the following command:

sudo ln -s `which python` /usr/local/bin/python2

Comments (0)

  1. Log in to comment